ApplicationLauncher.ProgressListener (install4j API)
Description: declaration: package: com.install4j.api.launcher, class: ApplicationLauncher, interface: ProgressListener

# Interface ApplicationLauncher.ProgressListener

All Known Implementing Classes:
  `ApplicationLauncher.ProgressListenerAdapter`

Enclosing class:
  `ApplicationLauncher`

public static interface ApplicationLauncher.ProgressListener
You can implement this interface to receive progress information from the installer application. An instance of this class has to be returned by `ApplicationLauncher.Callback.createProgressListener()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionStarted(String id)`
  A new action has started its execution.
  `void`
  `detailMessage(String message)`
  A detail message was set in the progress interface.
  `void`
  `indeterminateProgress(boolean indeterminateProgress)`
  The indeterminate progress state has changed.
  `void`
  `percentCompleted(int value)`
  The percentage of completion of the current action has changed.
  `void`
  `screenActivated(String id)`
  A new screen has been activated.
  `void`
  `secondaryPercentCompleted(int value)`
  The percentage of completion of a secondary task, like the unpacking of a JAR file, has changed.
  `void`
  `statusMessage(String message)`
  A status message was set in the progress interface.

- ## Method Details

  - ### screenActivated

    void screenActivated(String id)
    A new screen has been activated.
    Parameters:
      `id` - the ID of the screen

  - ### actionStarted

    void actionStarted(String id)
    A new action has started its execution.
    Parameters:
      `id` - the ID of the action

  - ### statusMessage

    void statusMessage(String message)
    A status message was set in the progress interface.
    Parameters:
      `message` - the new message.

  - ### detailMessage

    void detailMessage(String message)
    A detail message was set in the progress interface. This message is shown below the status message.
    Parameters:
      `message` - the new message.

  - ### percentCompleted

    void percentCompleted(int value)
    The percentage of completion of the current action has changed.
    Parameters:
      `value` - a value between 0 and 100.

  - ### secondaryPercentCompleted

    void secondaryPercentCompleted(int value)
    The percentage of completion of a secondary task, like the unpacking of a JAR file, has changed.
    Parameters:
      `value` - a value between 0 and 100.

  - ### indeterminateProgress

    void indeterminateProgress(boolean indeterminateProgress)
    The indeterminate progress state has changed.